import { Repository } from 'typeorm';
import { Plan } from '../entities/plan.entity';
import { PlanResponseDto, PlanDetailResponseDto } from '../dto/plan-response.dto';
export declare class PlansService {
    private readonly planRepo;
    constructor(planRepo: Repository<Plan>);
    findAll(): Promise<PlanResponseDto[]>;
    findOne(id: string): Promise<PlanDetailResponseDto>;
    findBySlug(slug: string): Promise<PlanDetailResponseDto>;
    private toResponseDto;
    private toDetailResponseDto;
    private extractFeatureDescriptions;
}
